diff --git a/menu/widgets/menu_widgets.c b/menu/widgets/menu_widgets.c
index 37154947ee..abc3560f17 100644
--- a/menu/widgets/menu_widgets.c
+++ b/menu/widgets/menu_widgets.c
@@ -1027,6 +1027,7 @@ static void menu_widgets_draw_task_msg(menu_widget_msg_t *msg, video_frame_info_
    unsigned rect_y;
    unsigned rect_width;
    unsigned rect_height;
+   int enable_scissor;
 
    float *msg_queue_current_background;
    float *msg_queue_current_bar;
@@ -1109,7 +1110,8 @@ static void menu_widgets_draw_task_msg(menu_widget_msg_t *msg, video_frame_info_
    menu_display_blend_end(video_info);
 
    /* Text */
-   if (msg->msg_new)
+   enable_scissor = ( msg->msg_new != 0 );
+   if (enable_scissor)
    {
       font_driver_flush(video_info->width, video_info->height, font_regular, video_info);
       font_raster_regular.carr.coords.vertices  = 0;
@@ -1142,7 +1144,7 @@ static void menu_widgets_draw_task_msg(menu_widget_msg_t *msg, video_frame_info_
       true
    );
 
-   if (msg->msg_new)
+   if (enable_scissor)
    {
       font_driver_flush(video_info->width, video_info->height, font_regular, video_info);
       font_raster_regular.carr.coords.vertices  = 0;
@@ -1168,7 +1170,8 @@ static void menu_widgets_draw_task_msg(menu_widget_msg_t *msg, video_frame_info_
 
 static void menu_widgets_draw_regular_msg(menu_widget_msg_t *msg, video_frame_info_t *video_info)
 {
-   menu_texture_item icon     = 0;
+   menu_texture_item icon = 0;
+   int enable_scissor;
 
    unsigned bar_width;
    unsigned text_color;
@@ -1181,7 +1184,8 @@ static void menu_widgets_draw_regular_msg(menu_widget_msg_t *msg, video_frame_in
    menu_display_set_alpha(menu_widgets_pure_white, msg->alpha);
    menu_display_set_alpha(msg_queue_background, msg->alpha);
 
-   if (!msg->unfolded || msg->unfolding)
+   enable_scissor = (!msg->unfolded || msg->unfolding);
+   if (enable_scissor)
    {
       font_driver_flush(video_info->width, video_info->height, font_regular, video_info);
       font_driver_flush(video_info->width, video_info->height, font_bold, video_info);
@@ -1230,7 +1234,7 @@ static void menu_widgets_draw_regular_msg(menu_widget_msg_t *msg, video_frame_in
       msg_queue_text_scale_factor, false, 0, true
    );
 
-   if (!msg->unfolded || msg->unfolding)
+   if (enable_scissor)
    {
       font_driver_flush(video_info->width, video_info->height, font_regular, video_info);
       font_driver_flush(video_info->width, video_info->height, font_bold, video_info);
@@ -1330,7 +1334,7 @@ void menu_widgets_frame(video_frame_info_t *video_info)
 {
    size_t i;
    int top_right_x_advance = video_info->width;
-   int scissor_me_timbers = 0;
+   int enable_scissor = 0;
 
    settings_t *settings = config_get_ptr();
 
@@ -1525,8 +1529,8 @@ void menu_widgets_frame(video_frame_info_t *video_info)
                video_info->width, video_info->height, 0, 1, menu_widgets_pure_white);
       }
 
-      scissor_me_timbers = (fabs(cheevo_unfold - 1.0f) > 0.01); /* I _think_ cheevo_unfold changes in another thread */
-      if (scissor_me_timbers)
+      enable_scissor = (fabs(cheevo_unfold - 1.0f) > 0.01);
+      if (enable_scissor)
       {
          menu_display_scissor_begin(video_info,
             cheevo_height, 0,
@@ -1563,7 +1567,7 @@ void menu_widgets_frame(video_frame_info_t *video_info)
          1, false, 0, true
       );
 
-      if (scissor_me_timbers)
+      if (enable_scissor)
       {
          font_driver_flush(video_info->width, video_info->height, font_regular, video_info);
          font_raster_regular.carr.coords.vertices  = 0;
